<!DOCTYPE html>
<html lang="es-ES">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Pantalla Reporte Cotizaciones y Notas de Pedido por Cliente</title>
<link href="../../maincss.css" rel="stylesheet" type="text/css" />
<link href="../../printcss.css" rel="stylesheet" type="text/css" media="print" />

</head>
<?php
/*
Reporte que despliegua as cotizaciones y notas de pedido realizadas con filtros de cada opci�n, el despliegue es de cada registro de compra realizado y su sumatoria total, es importante saber que la opcion de participacion en % en el caso de que se elija moneda original adopta por defecto la moneda 1 que esta controlada con query en el index, solo en el caso de NO participacion se puede colocar moneda original, no hay problema con las otras monedas.
*/
include "../../conn.php";
include "../../general.php";
include "../../token.php";

$rep=$_GET["rep"];
$tipo=$_GET["tipo"];
$estado=$_POST["estado"];
$vendedor=$_POST["vendedor"];
$cliente=$_POST["cliente"];
$canal_venta=$_POST["canal_venta"];
$almacen=$_POST["almacen"];
$local=$_POST["local"];
$ciudad=$_POST["ciudad"];
$tipo_nota=$_POST["tiponota"];
$estado_nota=$_POST["estadonota"];
$usado_nota=$_POST["usadonota"];
$participacion=$_POST["participacion"];
//$usuario=$_POST["usuario"];
$verglosa=$_POST["verglosa"];
//$familia=$_POST["familia"];
//$subfamilia=$_POST["subfamilia"];
//$grupo=$_POST["grupo"];
//$subgrupo=$_POST["subgrupo"];
$fechaini=$_POST["fechaini"];
$fechafin=$_POST["fechafin"];
//$orden=$_POST["orden"];
$otra_moneda=$_POST["otra_moneda"];
$cod_contexto=$_POST["contexto"];

/*
$cod_cxc=$_GET["cod_cxc"];
$empresa=$_GET["empresa"];
$otra_moneda_det=$_GET["otra_moneda_det"];
$usuario_det=$_GET["usuario_det"];
//$n_decimales = 6;
*/
/*
if($familia == '') { $familia = 0;}
if($subfamilia == '') { $subfamilia = 0;}
if($grupo == '') { $grupo = 0;}
if($subgrupo == '') { $subgrupo = 0;}
*/
?>
<body>

	<?php

if($verglosa == 0) {
	$nom_glosa = 'No';
	$glosaspan = 17;
} else {
	$nom_glosa = 'Si';
	$glosaspan = 18;
}

//Inicio reporte Ventas por Cliente

if($rep == 13 && $tipo == 1) { // if 2

if($participacion == 0) { //if partcipacion 0
$valor_agrupar = ' group by a.codClient ';
$nom_participacion = 'No mostrar';
} //fin if participacion 1

if($participacion == 1) { //if partcipacion 1
	/*
	$cliente = 0;
	$vendedor = 0;
	$almacen = 0;
	$local = 0;
	$ciudad = 0;
	$tipo_nota = 0;
	$estado_nota = 0;
	$usado_nota = 0;
	*/
	if($otra_moneda == 0) { $otra_moneda = 1; }
	$valor_agrupar = ' group by a.codClient ';
	$nom_participacion = 'por Cliente';
} //fin if participacion 1

if($participacion == 2) { //if partcipacion 2
	if($otra_moneda == 0) { $otra_moneda = 1; }
	$valor_agrupar = ' group by c.codChannel ';
	$nom_participacion = 'por Tipo de Cliente';
} //fin if participacion 2

if($participacion == 3) { //if partcipacion 3
	if($otra_moneda == 0) { $otra_moneda = 1; }
	$valor_agrupar = ' group by c.codHeading ';
	$nom_participacion = 'por Rubro de Cliente';
} //fin if participacion 3

//nombre otra moneda
$resultotra = mysqli_query($link, "SELECT fldName as otra_moneda
from
actCurrency
where
pkyCurrency = '$otra_moneda' and
sysEnabled = 1 and sysAuthorized = 1;");
		
	while ($row = mysqli_fetch_array($resultotra)) {
	$nom_otra_moneda = $row['otra_moneda'];
	}
	mysqli_free_result($resultotra);

/*
if ($estado == 0) { //if estado
	$valor_estado = ' ';
	$valor_estado1 = ' ';
	$nom_estado = 'Todos';
  } else { 
  	if($estado == 1) {
    	$valor_estado = ' and g.fldBalance <> 0 ';
		$valor_estado1 = ' and c.fldBalance <> 0 ';
		$nom_estado = 'Pendiente';
	} else {
		$valor_estado = ' and g.fldBalance = 0 ';
		$valor_estado1 = ' and c.fldBalance = 0 ';
		$nom_estado = 'Cobrado';
	}
  } //fin if estado
*/

 if ($vendedor == 0) { //if vendedor
    $valor_vendedor = ' ';
	$valor_vendedor1 = ' ';
	$nom_vendedor = 'Todos';
  } else { 
    $valor_vendedor = ' a.codSeller = '.$vendedor.' and ';
	$valor_vendedor1 = ' g.codSeller = '.$vendedor.' and ';
	//nombre de vendedor
	$resultven = mysqli_query($link, "select pkyPerson as codigo, case when fldMiddleName is NULL then concat(fldLastName,', ',fldFirstName) else concat(fldLastName,' ',fldMiddleName,', ',fldFirstName) end as vendedor
from agnPerson
where
pkyPerson = '$vendedor' and
sysEnabled = 1 and sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($resultven)) {
	$nom_vendedor = $row['codigo'].' - '.$row['vendedor'];
	}
	mysqli_free_result($resultven);
  } //fin if vendedor


if ($cliente == 0) { //if cliente
    $valor_cliente = ' ';
	$valor_cliente1 = ' ';
	$nom_cliente = 'Todos';
  } else { 
    $valor_cliente = ' a.codClient = '.$cliente.' and ';
	$valor_cliente1 = ' g.codClient = '.$cliente.' and ';
	//nombre de cliente
	$resultcli = mysqli_query($link, "select pkyCompany as codigo, fldName as cliente
from agnCompany
where
fldIsClient = 1 and
pkyCompany = '$cliente' and 
sysEnabled = 1 and sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($resultcli)) {
	$nom_cliente = $row['codigo'].' - '.$row['cliente'];
	}
	mysqli_free_result($resultcli);
  } //fin if cliente

if($canal_venta == 0) { // if canal
	$nom_canal_venta = 'Todos';
	$valor_canal_venta = ' ';
	$valor_canal_venta1 = ' ';
} else { 
	$resultcan = mysqli_query($link, "select pkyChannel as codigo, fldName as canal
						from agnChannel
						where
						pkyChannel = '$canal_venta';");
	while ($row = mysqli_fetch_array($resultcan)) {   
	$nom_canal_venta = $row['canal'];
	}
	mysqli_free_result($resultcan);
	$valor_canal_venta = ' c.codChannel = '.$canal_venta.' and ';
	$valor_canal_venta1 = ' h.codChannel = '.$canal_venta.' and ';
} // fin if canal

/*
if ($orden == 0) { //if orden
    $valor_orden = ' order by fecha, cliente, vendedor ';
	$nom_orden = 'Fecha';
  } else { 
    $valor_orden = ' order by cliente, fecha, vendedor ';
	$nom_orden = 'Nombre Cliente';
  } //fin if orden
 
Revisar el orden porque se necesita esta parte
if($vendedor == 0 && $cliente == 0) { 
$valor_orden = ' order by cliente, fecha, vendedor ';
}
*/
if($participacion == 0 || $participacion == 1) {
	$valor_orden = ' order by cliente, fecha, vendedor ';
	$nom_orden = '(Cliente, Fecha, Vendedor)';
}

if($participacion == 2) {
	$valor_orden = ' order by canal, cliente, fecha ';
	$nom_orden = '(Canal, Cliente, Fecha)';
}

if($participacion == 3) {
	$valor_orden = ' order by rubro, cliente, fecha ';
	$nom_orden = '(Rubro, Cliente, Fecha)';
}

if ($almacen == 0) { //if almacen
    $valor_almacen = ' ';
	$valor_almacen1 = ' ';
	$nom_almacen = 'Todos';
  } else { 
    $valor_almacen = ' a.codWarehouse = '.$almacen.' and ';
	$valor_almacen1 = ' g.codWarehouse = '.$almacen.' and ';
	//nombre de almacen
	$resultalm = mysqli_query($link, "select pkyWarehouse as codigo, fldName as almacen
from invWarehouse
where
pkyWarehouse = '$almacen' and 
sysEnabled = 1 and sysAuthorized = 1
order by almacen;");
	while ($row = mysqli_fetch_array($resultalm)) {
	$nom_almacen = $row['almacen'];
	}
	mysqli_free_result($resultalm);
  } //fin if almacen
  
if ($local == 0) { //if local
    $valor_local = ' ';
	$valor_local1 = ' ';
	$nom_local = 'Todos';
  } else { 
    $valor_local = ' a.codSalesPlace = '.$local.' and ';
	$valor_local1 = ' g.codSalesPlace = '.$local.' and ';
	//nombre de local
	$resultloc = mysqli_query($link, "select pkySalesPlace as codigo, fldName as local
from slsSalesPlace
where
pkySalesPlace = '$local' and 
sysEnabled = 1 and sysAuthorized = 1
order by local;");
	while ($row = mysqli_fetch_array($resultloc)) {
	$nom_local = $row['local'];
	}
	mysqli_free_result($resultloc);
  } //fin if local

if ($ciudad == 0) { //if ciudad
    $valor_ciudad = ' ';
	$valor_ciudad1 = ' ';
	$nom_ciudad = 'Todos';
  } else { 
    $valor_ciudad = ' c.codCityLocation = '.$ciudad.' and ';
	$valor_ciudad1 = ' h.codCityLocation = '.$ciudad.' and ';
	//nombre de local
	$resultciu = mysqli_query($link, "select a.codCityLocation as codigo, b.fldName as ciudad
from
agnCompany a, regCity b
where
a.fldIsClient = 1 and 
a.codCityLocation = '$ciudad' and 
a.codCityLocation = b.pkyCity and 
a.sysEnabled = 1 and a.sysAuthorized = 1 
group by codigo 
order by ciudad;");
	while ($row = mysqli_fetch_array($resultciu)) {
	$nom_ciudad = $row['ciudad'];
	}
	mysqli_free_result($resultciu);
  } //fin if ciudad

if ($tipo_nota == 0) { //if tipo nota
	$nom_tipo_nota = 'Todos';
	$valor_tipo_nota = ' ';
	$valor_tipo_nota1 = ' ';
  } else { 
  	$valor_tipo_nota = ' a.codType = '.$tipo_nota.' and ';
	$valor_tipo_nota1 = ' g.codType = '.$tipo_nota.' and ';
	//nombre de tipo de nota
$resulttipo = mysqli_query($link, "select pkyOrderNoteType as codigo, fldName as tipo
from 
slsOrderNoteType
where
pkyOrderNoteType = '$tipo_nota' and 
sysEnabled = 1 and sysAuthorized = 1
order by tipo;");
	while ($row = mysqli_fetch_array($resulttipo)) {
	$nom_tipo_nota = $row['tipo'];
	}
	mysqli_free_result($resulttipo);
  } //fin if tipo nota

if ($estado_nota == 0) { //if estado nota
	$nom_estado_nota = 'Todos';
	$valor_estado_nota = ' ';
	$valor_estado_nota1 = ' ';
  } else { 
  	$valor_estado_nota = ' a.codStatus = '.$estado_nota.' and ';
	$valor_estado_nota1 = ' g.codStatus = '.$estado_nota.' and ';
	//nombre de estado de nota
$resultestado = mysqli_query($link, "select pkyOrderNoteStatus as codigo, fldName as status
from 
slsOrderNoteStatus
where
pkyOrderNoteStatus = '$estado_nota' and 
sysEnabled = 1 and sysAuthorized = 1
order by status;");
	while ($row = mysqli_fetch_array($resultestado)) {
	$nom_estado_nota = $row['status'];
	}
	mysqli_free_result($resultestado);
  } //fin if estado nota

if ($usado_nota == 0) { //if usado nota = 0
	$nom_usado_nota = 'Todas';
	$valor_usado_nota = '  ';
	$valor_usado_nota1 = '  ';
  } //fin if usado nota = 0
if ($usado_nota == 1) { //if usado nota = 1
  	$nom_usado_nota = 'No';
	$valor_usado_nota = ' a.fldIsModified = 0 and ';
	$valor_usado_nota1 = ' g.fldIsModified = 0 and ';
  } //fin if usado nota = 1
if ($usado_nota == 2) { //if usado nota = 2 
  	$nom_usado_nota = 'Si';
	$valor_usado_nota = ' a.fldIsModified = 1 and ';
	$valor_usado_nota1 = ' g.fldIsModified = 1 and ';
  } //fin if usado nota = 2

//contexto
if($cod_contexto == -1){ 
	$nom_contexto = 'Todos';
	$valor_contexto = ' ';
} else {
	$resultcontx = mysqli_query($link, "select pkyContext as cod_contexto, fldName as contexto, codCostCenter as cod_cc 
	from srvContext
	where 
	pkyContext = '$cod_contexto';");
		while ($row = mysqli_fetch_array($resultcontx)) {   
			$nom_contexto = $row['cod_contexto'].' - '.$row['contexto'];
		}
		mysqli_free_result($resultcontx);
	$valor_contexto = ' a.sysContext = '.$cod_contexto.' and ';	
}


//listado de notas de pedido y cotizaciones del periodo

$result = mysqli_query($link, "select a.pkyOrderNote as codigo, a.fldDate as fecha, 
a.fldNumber as nro_doc, c.fldName as cliente, a.codClient as cod_cli,
case when b.fldMiddleName is NULL then concat(b.fldLastName,', ',b.fldFirstName) else concat(b.fldLastName,' ',b.fldMiddleName,', ',b.fldFirstName) end as vendedor, 
d.fldName as almacen, e.fldName as local_venta, 
f.fldName as moneda, a.codExchangeRate as cod_tc, 
a.fldGrossTotal as total_bruto, a.fldTotalDiscountPercent as desc_porc,
a.fldGlobalDiscountPercent as desc_global_porc, a.fldNetTotal as total,
a.codAccountReceivable as cod_cxc, a.txtDescription as glosa, a.codCurrency as cod_moneda,  h.fldName as ciudad, 
c.codChannel as cod_canal_cli, c.codHeading as cod_rubro_cli, 
i.fldName as canal, j.fldName as rubro, k.fldName as tipo_nota, 
l.fldName as estado_nota, a.fldIsModified as usado_nota 
from slsOrderNote a, agnPerson b, agnCompany c, invWarehouse d, 
slsSalesPlace e, actCurrency f, regCity h, agnChannel i, agnCompanyHeading j, slsOrderNoteType k, slsOrderNoteStatus l
where
$valor_tipo_nota 
$valor_estado_nota 
$valor_usado_nota 
$valor_vendedor 
$valor_cliente 
$valor_canal_venta  
$valor_almacen 
$valor_local 
$valor_ciudad 
$valor_contexto 
a.fldDate >= '$fechaini' and
a.fldDate <= '$fechafin' and
a.codSeller = b.pkyPerson and
a.codClient = c.pkyCompany and 
a.codWarehouse = d.pkyWarehouse and 
a.codSalesPlace = e.pkySalesPlace and 
a.codCurrency = f.pkyCurrency and 
c.codCityLocation = h.pkyCity and 
c.codChannel = i.pkyChannel and 
c.codHeading = j.pkyCompanyHeading and 
a.codType = k.pkyOrderNoteType and 
a.codStatus = l.pkyOrderNoteStatus and 
a.sysEnabled = 1 and a.sysAuthorized = 1 
$valor_orden;");


//listado de saldo inicial
/*
$result1 = mysqli_query($link, "select t.cod_cxc as cod_cxc, t.cod_moneda as cod_moneda, sum(t.cobro) as total
from
(select a.codAccountsReceivable as cod_cxc, b.fldDate as fecha, 
a.fldTotal as cobro, c.codCurrency as cod_moneda
from colCollectionDetail a, colCollection b, colAccountsReceivable c, 
slsOrderNote g, agnCompany h
where
a.codCollection = b.pkyCollection and
a.codAccountsReceivable = c.pkyAccountsReceivable and 
a.codAccountsReceivable = g.codAccountReceivable and 
g.codClient = h.pkyCompany and 
b.fldDate < '$fechaini' and
c.sysEnabled = 1 and c.sysAuthorized = 1 
$valor_tipo_nota1 
$valor_estado1 
$valor_vendedor1 
$valor_cliente1 
$valor_almacen1 
$valor_local1 
$valor_ciudad1 

union all

select a.codAccountsReceivable as cod_cxc, b.fldDate as fecha, 
a.fldTotal as cobro, c.codCurrency as cod_moneda
from payPaymentDetail a, payPayment b, colAccountsReceivable c, 
slsOrderNote g, agnCompany h
where
a.codPayment = b.pkyPayment and
a.codAccountsReceivable = c.pkyAccountsReceivable and 
a.codAccountsReceivable = g.codAccountReceivable and
b.fldDate < '$fechaini' and 
g.codClient = h.pkyCompany and 
c.sysEnabled = 1 and c.sysAuthorized = 1
$valor_tipo_nota1 
$valor_estado1 
$valor_vendedor1 
$valor_cliente1 
$valor_almacen1 
$valor_local1 
$valor_ciudad1) t
group by t.cod_cxc;");


//listado de saldo en el periodo

$result2 = mysqli_query($link, "select t.cod_cxc as cod_cxc, t.cod_moneda as cod_moneda, sum(t.cobro) as total
from
(select a.codAccountsReceivable as cod_cxc, b.fldDate as fecha, 
a.fldTotal as cobro, c.codCurrency as cod_moneda
from colCollectionDetail a, colCollection b, colAccountsReceivable c, 
slsOrderNote g, agnCompany h
where
a.codCollection = b.pkyCollection and
a.codAccountsReceivable = c.pkyAccountsReceivable and 
a.codAccountsReceivable = g.codAccountReceivable and
b.fldDate >= '$fechaini' and
b.fldDate <= '$fechafin' and 
g.codClient = h.pkyCompany and 
c.sysEnabled = 1 and c.sysAuthorized = 1 
$valor_tipo_nota1 
$valor_estado1 
$valor_vendedor1 
$valor_cliente1 
$valor_almacen1 
$valor_local1 
$valor_ciudad1

union all

select a.codAccountsReceivable as cod_cxc, b.fldDate as fecha, 
a.fldTotal as cobro, c.codCurrency as cod_moneda
from payPaymentDetail a, payPayment b, colAccountsReceivable c, 
slsOrderNote g, agnCompany h
where
a.codPayment = b.pkyPayment and
a.codAccountsReceivable = c.pkyAccountsReceivable and 
a.codAccountsReceivable = g.codAccountReceivable and
b.fldDate >= '$fechaini' and
b.fldDate <= '$fechafin' and 
g.codClient = h.pkyCompany and 
c.sysEnabled = 1 and c.sysAuthorized = 1
$valor_tipo_nota1 
$valor_estado1 
$valor_vendedor1 
$valor_cliente1 
$valor_almacen1 
$valor_local1 
$valor_ciudad1) t
group by t.cod_cxc;");
*/

$matriz_ventas = array ();
$i = 1;
while ($row = mysqli_fetch_array($result)) {
	$matriz_ventas[$i][1] = $row['codigo'];
	$matriz_ventas[$i][2] = $row['fecha'];
	$matriz_ventas[$i][3] = $row['nro_doc'];
	$matriz_ventas[$i][4] = $row['cliente'];
	$matriz_ventas[$i][5] = $row['vendedor'];
	$matriz_ventas[$i][6] = $row['almacen'];
	$matriz_ventas[$i][7] = $row['local_venta'];
	$matriz_ventas[$i][8] = $row['moneda'];
	$matriz_ventas[$i][9] = $row['cod_tc'];
	$matriz_ventas[$i][10] = $row['total_bruto'];
	$matriz_ventas[$i][11] = $row['desc_porc'];
	$matriz_ventas[$i][12] = $row['desc_global_porc'];
	$matriz_ventas[$i][13] = $row['total'];
	$matriz_ventas[$i][14] = $row['cod_cxc'];
	$matriz_ventas[$i][15] = $row['glosa'];
	//$matriz_ventas[$i][16] = 0; //saldo inicial
	//$matriz_ventas[$i][17] = 0; //cobros periodo
	$matriz_ventas[$i][18] = $row['cod_moneda']; //codigo de la moneda de la nota
	$matriz_ventas[$i][19] = 1; //tasa de cambio
	$matriz_ventas[$i][20] = $row['cod_cli']; //codigo del cliente
	$matriz_ventas[$i][21] = $row['ciudad']; //ciudad del cliente
	$matriz_ventas[$i][22] = $row['cod_canal_cli']; //codigo del canal de cliente
	$matriz_ventas[$i][23] = $row['cod_rubro_cli']; //codigo del rubro de cliente
	$matriz_ventas[$i][24] = $row['tipo_nota'];
	$matriz_ventas[$i][25] = $row['estado_nota'];
	$matriz_ventas[$i][26] = $row['usado_nota'];
	if ($matriz_ventas[$i][26] == 0) { 
		$matriz_ventas[$i][27] = 'NO';
	} else {
		$matriz_ventas[$i][27] = 'SI';
	}
	$i++;
	}
	mysqli_free_result($result);

$fin_ventas = $i - 1;

/*
while ($row = mysqli_fetch_array($result1)) {
	$i = 1;
	$control = 0;
	while($i <= $fin_ventas && $control == 0) {
		  if($matriz_ventas[$i][14] == $row['cod_cxc']) {
			 $matriz_ventas[$i][16] = $row['total'];
			 $control = 1;
		  }
			 $i++;
	}
}
mysqli_free_result($result1);

while ($row = mysqli_fetch_array($result2)) {
	$i = 1;
	$control = 0;
	while($i <= $fin_ventas && $control == 0) {
		  if($matriz_ventas[$i][14] == $row['cod_cxc']) {
			 $matriz_ventas[$i][17] = $row['total'];
			 $control = 1;
		  } 
			  $i++;
	}
}
mysqli_free_result($result2);
*/
$i = 1;
while($i <= $fin_ventas) {
	if($matriz_ventas[$i][18] != $otra_moneda) {
		$moneda_base = $matriz_ventas[$i][18];
		$tc_original = $matriz_ventas[$i][9];
		$resulttc = mysqli_query($link, "SELECT pkyExchangeRateDetail as codigotc, codBaseCurrency as monedabase, codTargetCurrency as monedacambio, fldRate as tc
from
actExchangeRateDetail
where
codExchangeRate = '$tc_original' and
codBaseCurrency = '$otra_moneda' and
codTargetCurrency = '$moneda_base' and
sysEnabled = 1 AND sysAuthorized = 1;");
		while ($row = mysqli_fetch_array($resulttc)) {
		$matriz_ventas[$i][19] = $row['tc'];
		}
		mysqli_free_result($resulttc);
	}
	$i++;
}	
/*
$i = 1;
while($i <= $fin_ventas) {
	echo $matriz_ventas[$i][1].' - ';
	echo $matriz_ventas[$i][2].' - ';
	echo $matriz_ventas[$i][3].' - ';
	echo $matriz_ventas[$i][4].' - ';
	echo $matriz_ventas[$i][5].' - ';
	echo $matriz_ventas[$i][6].' - ';
	echo $matriz_ventas[$i][7].' - ';
	echo $matriz_ventas[$i][8].' - ';
	echo $matriz_ventas[$i][9].' - ';
	echo $matriz_ventas[$i][10].' - ';
	echo $matriz_ventas[$i][11].' - ';
	echo $matriz_ventas[$i][12].' - ';
	echo $matriz_ventas[$i][13].' - ';
	echo $matriz_ventas[$i][14].' - ';
	echo $matriz_ventas[$i][15].' - ';
	echo $matriz_ventas[$i][16].' - ';
	echo $matriz_ventas[$i][17].' - ';
	echo $matriz_ventas[$i][18].' - ';
	echo $matriz_ventas[$i][19].' - ';
	echo $matriz_ventas[$i][20].'<br>';
	$i++;
}
*/
  
if($otra_moneda != 0){ 
$mostrar_txt_moneda = $nom_otra_moneda;
} else {
$mostrar_txt_moneda = 'Moneda original';	
}

?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><?php echo $mostrar_logo_reportes; ?>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?></b>
</td></tr></table>
<p><br /><center><font color="#000099" size="+1"><b>Cotizaciones y notas de pedido por Cliente</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="25%"><b>Cliente: </b><?php echo $nom_cliente; ?></TD>
        <TD width="25%"><b>Canal (solo para empresas): </b><?php echo $nom_canal_venta; ?></TD>
        <TD width="25%"><b>Ordenado por: </b><?php echo $nom_orden; ?></TD>
        <TD width="25%"><b>Vendedor: </b><?php echo $nom_vendedor; ?></TD>
        </TR>
        <TR>
        <TD><b>Tipo: </b><?php echo $nom_tipo_nota; ?></TD>
        <TD><b>Estado: </b><?php echo $nom_estado_nota; ?></TD>
        <TD><b>Usada por Nota de Venta: </b><?php echo $nom_usado_nota; ?></TD>
        <TD><b>Almacen: </b><?php echo $nom_almacen; ?></TD>
        </TR>
        <TR>
        <TD><b>Local o Punto de venta: </b><?php echo $nom_local; ?></TD>
        <TD><b>Ciudad: </b><?php echo $nom_ciudad; ?></TD>
        <TD><b>Mostrar Glosa: </b><?php echo $nom_glosa; ?></TD>
        <TD><b>Participaci&oacute;n: </b><?php echo $nom_participacion; ?></TD>
        </TR>
        <TR>
        <TD colspan="2"><b>De Fecha: </b><?php echo $fechaini; ?> <b>a Fecha: </b><?php echo $fechafin; ?></TD>
        <TD><b>Contexto: </b><?php echo $nom_contexto; ?></TD>
        <TD><b>Expresado en: </b><?php echo $mostrar_txt_moneda; ?></TD>
        </TR>
    </table>

</td>
<!--
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $ultimo_tc; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Tipo de Cambio"><?php echo $ultimo_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
-->
</tr>
</table>
<br />
<table border="1" align="center" cellpadding="2" width="100%">
 	<thead>
    <TR> 
 	<TD align="center"><b>Cod.</b></TD>
    <TD align="center"><b>Nro. Doc.</b></TD>
	<TD align="center" width="65"><b>Fecha</b></TD>
    <TD align="center"><b>Cliente</b></TD>
    <TD align="center"><b>Vendedor</b></TD>
    <TD align="center"><b>Almacen</b></TD>
    <TD align="center"><b>Local Venta</b></TD>
    <TD align="center"><b>Ciudad</b></TD>
    <?php if($verglosa == 1){ ?>
    <TD align="center"><b>Glosa</b></TD>
    <?php } ?>
    <TD align="center"><b>Tipo</b></TD>
    <TD align="center"><b>Estado</b></TD>
    <TD align="center"><b>Usado por Nota de Venta</b></TD>
    <TD align="center"><b>Mon.</b></TD>
    <TD align="center"><b>Total Bruto</b></TD>
	<TD align="center"><b>Desc. %</b></TD>
    <TD align="center"><b>Desc. Global %</b></TD>
    <TD align="center"><b>Total</b></TD>
    <?php if($otra_moneda != 0){ ?>
    <TD align="center"><b>Tasa a <?php echo $nom_otra_moneda; ?></b></TD>
    <TD align="center"><b>Total en <?php echo $nom_otra_moneda; ?></b></TD>
    <?php } ?>
    </TR>
    </thead>
    <tbody class="marcafila">

    <?php
    //if($vendedor == 0 && $cliente == 0) { //if vendedor = 0 y cliente = 0
	//lista de codigo de clientes del periodo, mismo query de listado de ventas del periodo pero con group by con cod_cli y num_reg (para el valor de la agrupaci�n se cambia group by a.codClient por $valor_agrupar para la participacion)
	
	$result_cli = mysqli_query($link, "select a.pkyOrderNote as codigo, a.fldDate as fecha, 
a.fldNumber as nro_doc, c.fldName as cliente, a.codClient as cod_cli,
case when b.fldMiddleName is NULL then concat(b.fldLastName,', ',b.fldFirstName) else concat(b.fldLastName,' ',b.fldMiddleName,', ',b.fldFirstName) end as vendedor, 
d.fldName as almacen, e.fldName as local_venta, 
f.fldName as moneda, a.codExchangeRate as cod_tc, 
a.fldGrossTotal as total_bruto, a.fldTotalDiscountPercent as desc_porc,
a.fldGlobalDiscountPercent as desc_global_porc, a.fldNetTotal as total,
a.codAccountReceivable as cod_cxc, a.txtDescription as glosa, a.codCurrency as cod_moneda, h.fldName as ciudad, c.codChannel as cod_canal_cli, c.codHeading as cod_rubro_cli, i.fldName as canal, j.fldName as rubro, k.fldName as tipo_nota, 
l.fldName as estado_nota, a.fldIsModified as usado_nota, 
a.codClient as cod_cli, count(a.codClient) as num_reg 
from slsOrderNote a, agnPerson b, agnCompany c, invWarehouse d, 
slsSalesPlace e, actCurrency f, regCity h, 
agnChannel i, agnCompanyHeading j, slsOrderNoteType k, 
slsOrderNoteStatus l
where
$valor_tipo_nota 
$valor_estado_nota 
$valor_usado_nota 
$valor_vendedor 
$valor_cliente 
$valor_canal_venta 
$valor_almacen 
$valor_local 
$valor_ciudad 
$valor_contexto 
a.fldDate >= '$fechaini' and
a.fldDate <= '$fechafin' and
a.codSeller = b.pkyPerson and
a.codClient = c.pkyCompany and 
a.codWarehouse = d.pkyWarehouse and 
a.codSalesPlace = e.pkySalesPlace and 
a.codCurrency = f.pkyCurrency and 
c.codCityLocation = h.pkyCity and 
c.codChannel = i.pkyChannel and 
c.codHeading = j.pkyCompanyHeading and 
a.codType = k.pkyOrderNoteType and 
a.codStatus = l.pkyOrderNoteStatus and 
a.sysEnabled = 1 and a.sysAuthorized = 1 
$valor_agrupar  
$valor_orden;");
	$matriz_cli = array ();
	$i = 1;
	while ($row = mysqli_fetch_array($result_cli)) {
	$matriz_cli[$i][1] = $row['cod_cli'];
	$matriz_cli[$i][2] = $row['num_reg'];
	//echo $matriz_cli[$i][1].' - '.$matriz_cli[$i][2].'<br>';
	$i++;
	}
	
	$fin_cli = $i - 1;
	//echo $fin_cli.'<br>';
	mysqli_free_result($result_cli);
	
						
	$color = 2;
	$suma_cant = 0;
	$suma_om = 0;
	$suma_par = 0;
	$suma_participacion = 0;//participacion
	$suma_part_total = 0;//participacion
	$i = 1;
	$j = 1;
	$p = 1; //contador participacion
	$matriz_participacion = array();
	while($j <= $fin_cli){//while $fin_cli
		$k = 1;
	while($k <= $matriz_cli[$j][2]) { //while
		$codigo = $matriz_ventas[$i][14];
		if($color % 2 == 0) { //if color
		printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $matriz_ventas[$i][1]);//cod
		} else {
		printf("<tr><td align='center'>%s</td>", $matriz_ventas[$i][1]);//cod
		}//cierra if color
		printf("<td align='center'>%s</td>", $matriz_ventas[$i][3]);//numero documento
		printf("<td align='right'>%s</td>", $matriz_ventas[$i][2]);//fecha
		printf("<td>%s</td>", $matriz_ventas[$i][4]);//cliente
		printf("<td>%s</td>", $matriz_ventas[$i][5]);//vendedor
		printf("<td>%s</td>", $matriz_ventas[$i][6]);//almacen
		printf("<td>%s</td>", $matriz_ventas[$i][7]);//local venta
		printf("<td>%s</td>", $matriz_ventas[$i][21]);//ciudad
		if($verglosa == 1) {
		printf("<td>%s</td>", $matriz_ventas[$i][15]);//glosa
		}
		printf("<td>%s</td>", $matriz_ventas[$i][24]);//tipo
		printf("<td>%s</td>", $matriz_ventas[$i][25]);//estado
		printf("<td align='center'>%s</td>", $matriz_ventas[$i][27]);//usado
		printf("<td>%s</td>", $matriz_ventas[$i][8]);//moneda
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][10],$n_decimales));//total bruto
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][11],$n_descuento));//descuento %
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][12],$n_descuento));//descuento global %
		
		if($otra_moneda != 0){ //if otra moneda
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][13],$n_decimales));//total
		//printf("<td align='right'><a href='../../ModuleCollections/ReportAccountsReceivable/report.php?rep=6&tipo=2&cod_cxc=$codigo&empresa=1&otra_moneda_det=0' title='Kardex de Cuenta por Cobrar'>%s</a></td>", number_format($saldo_v,$n_decimales));//saldo
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][19],$n_tipocambio));// tasa de tc
		//printf("<td align='right'><a href='../../ModuleCollections/ReportAccountsReceivable/report.php?rep=6&tipo=2&cod_cxc=$codigo&empresa=1&otra_moneda_det=$otra_moneda' title='Kardex de Cuenta por Cobrar'>%s</a></td></tr>", number_format($saldo_v * $matriz_ventas[$i][19],$n_decimales));// saldo otra moneda
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][13] * $matriz_ventas[$i][19],$n_decimales));//total otra moneda
		}//fin if otra moneda 
		else {	//else otra moneda
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][13],$n_decimales));//total
		//printf("<td align='right'><a href='../../ModuleCollections/ReportAccountsReceivable/report.php?rep=6&tipo=2&cod_cxc=$codigo&empresa=1&otra_moneda_det=0' title='Kardex de Cuenta por Cobrar'>%s</a></td></tr>", number_format($saldo_v,$n_decimales));//saldo
		}//fin else otra moneda
		$suma_om = $suma_om + $matriz_ventas[$i][13] * $matriz_ventas[$i][19];
	    $suma_par = $suma_par + $matriz_ventas[$i][13] * $matriz_ventas[$i][19];
		$suma_participacion = $suma_participacion + $matriz_ventas[$i][13] * $matriz_ventas[$i][19];
		$suma_part_total = $suma_part_total + $matriz_ventas[$i][13] * $matriz_ventas[$i][19];
	  	$color++;
		$i++;
		$k++;
	}//fin while
	
	$j++;
	if($otra_moneda != 0){//if otra moneda 2
		
		if ($participacion == 0) { $mostrar_nom_periodo = $matriz_ventas[$i-1][4]; }
		if ($participacion == 1) { $mostrar_nom_periodo = $matriz_ventas[$i-1][4]; }
		if ($participacion == 2) { //if part 2
			$valor_canal_cli = $matriz_ventas[$i-1][22];
			$resultcanal = mysqli_query($link, "select fldName as canal_cli
										from
										agnChannel
										where
										pkyChannel = '$valor_canal_cli' and
										sysEnabled = 1 and sysAuthorized = 1;");
			while ($row = mysqli_fetch_array($resultcanal)) {
			$mostrar_nom_periodo = $row['canal_cli'];
			}
			mysqli_free_result($resultcanal);
		 } //fin if part 2
		 if ($participacion == 3) { //if part 3
			$valor_rubro_cli = $matriz_ventas[$i-1][23];
			$resultrubro = mysqli_query($link, "select fldName as rubro_cli
									  	from
										agnCompanyHeading
										where
										pkyCompanyHeading = '$valor_rubro_cli' and
										sysEnabled = 1 and sysAuthorized = 1;");
			while ($row = mysqli_fetch_array($resultrubro)) {
			$mostrar_nom_periodo = $row['rubro_cli'];
			}
			mysqli_free_result($resultrubro);
		 } //fin if part 3
 
 
 ?>
 <tr BGCOLOR='#ffcccc'><td colspan='<?php echo $glosaspan; ?>'><b>Total Periodo <?php echo $mostrar_nom_periodo; ?></b></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_par,$n_decimales)); ?></td>
 </tr>
 <?php
	}//fin if otra moneda 2
		if ($participacion == 1 || $participacion == 2 || $participacion == 3){//if participacion
			$matriz_participacion[$p][1] = $mostrar_nom_periodo;
			$matriz_participacion[$p][2] = $suma_participacion;
			$suma_participacion = 0;
			$p++;
		}//fin if participacion
	
	$suma_par = 0;	
	}//fin while $fin_cli
	/*
	} else { //else vendedor = 0 y cliente = 0
	$color = 2;
	$suma_cant = 0;
	$suma_om = 0;
	$i = 1;
	
	while($i <= $fin_ventas) { //while
		$codigo = $matriz_ventas[$i][14];
		if($color % 2 == 0) { //if color
		printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $matriz_ventas[$i][1]);//cod
		} else {
		printf("<tr><td align='center'>%s</td>", $matriz_ventas[$i][1]);//cod
		}//cierra if color
		printf("<td align='center'>%s</td>", $matriz_ventas[$i][3]);//numero documento
		printf("<td align='right'>%s</td>", $matriz_ventas[$i][2]);//fecha
		printf("<td>%s</td>", $matriz_ventas[$i][4]);//cliente
		printf("<td>%s</td>", $matriz_ventas[$i][5]);//vendedor
		printf("<td>%s</td>", $matriz_ventas[$i][6]);//almacen
		printf("<td>%s</td>", $matriz_ventas[$i][7]);//local venta
		printf("<td>%s</td>", $matriz_ventas[$i][21]);//ciudad
		printf("<td>%s</td>", $matriz_ventas[$i][15]);//glosa
		printf("<td>%s</td>", $matriz_ventas[$i][24]);//tipo
		printf("<td>%s</td>", $matriz_ventas[$i][25]);//estado
		printf("<td>%s</td>", $matriz_ventas[$i][27]);//usado
		printf("<td>%s</td>", $matriz_ventas[$i][8]);//moneda
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][10],$n_decimales));//total bruto
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][11],$n_decimales));//descuento %
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][12],$n_decimales));//descuento global %
		
		if($otra_moneda != 0){ //if otra moneda
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][13],$n_decimales));//total
		//printf("<td align='right'><a href='../../ModuleCollections/ReportAccountsReceivable/report.php?rep=6&tipo=2&cod_cxc=$codigo&empresa=1&otra_moneda_det=0' title='Kardex de Cuenta por Cobrar'>%s</a></td>", number_format($saldo_v,$n_decimales));//saldo
		printf("<td align='right'>%s</td>", $matriz_ventas[$i][19]);// tasa de tc
		//printf("<td align='right'><a href='../../ModuleCollections/ReportAccountsReceivable/report.php?rep=6&tipo=2&cod_cxc=$codigo&empresa=1&otra_moneda_det=$otra_moneda' title='Kardex de Cuenta por Cobrar'>%s</a></td></tr>", number_format($saldo_v * $matriz_ventas[$i][19],$n_decimales));// saldo otra moneda
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][13] * $matriz_ventas[$i][19],$n_decimales));//total otra moneda
		}//fin if otra moneda 
		else {	//else otra moneda
		printf("<td align='right'>%s</td>", number_format($matriz_ventas[$i][13],$n_decimales));//total
		//printf("<td align='right'><a href='../../ModuleCollections/ReportAccountsReceivable/report.php?rep=6&tipo=2&cod_cxc=$codigo&empresa=1&otra_moneda_det=0' title='Kardex de Cuenta por Cobrar'>%s</a></td></tr>", number_format($saldo_v,$n_decimales));//saldo
		}//fin else otra moneda
		$suma_om = $suma_om + $matriz_ventas[$i][13] * $matriz_ventas[$i][19];
	    //$suma_empresa = $suma_empresa + $row['saldo'];
	  	$color++;
		$i++;
	}//fin while
	} // fin if vendedor = 0 y cliente = 0
*/
?>
 <?php if($otra_moneda != 0){ //if otra moneda 10?>
 <tr BGCOLOR='#ffcccc'><td colspan='<?php echo $glosaspan; ?>'><b>Total Periodo</b></td>
 <td align="right"><?php printf("<b>%s</b>", number_format($suma_om,$n_decimales)); ?></td>
 </tr>
 </tbody>
 </table>
 <?php if($participacion == 1 || $participacion == 2 || $participacion == 3){ //if part 3
	 	if($participacion == 1) { $titulo_participacion = 'Cliente'; }
		if($participacion == 2) { $titulo_participacion = 'Canal'; }
		if($participacion == 3) { $titulo_participacion = 'Rubro'; }
		?>
     <p>
     <center><font color="#000099" size="+1"><b>Resumen de participaci&oacute;n en el Periodo</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="50%"><b>Participaci&oacute;n: </b><?php echo $nom_participacion; ?></TD>
        <TD width="50%"><b>Expresado en: </b><?php echo $nom_otra_moneda; ?></TD>
        </TR>
    </table>

</td>
<!--
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $ultimo_tc; ?>&user=<?php echo $usuario; ?>&token=<?php echo $token; ?>" title="Tipo de Cambio"><?php echo $ultimo_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
-->
</tr>
</table>
<br />
     <table border="1" align="center" cellpadding="2" width="100%">
        <thead>
        <TR> 
        <TD align="center"><b><?php echo $titulo_participacion; ?></b></TD>
        <TD align="center"><b>Suma del Periodo en <?php echo $nom_otra_moneda; ?></b></TD>
        <TD align="center"><b>Participaci&oacute;n del Periodo %</b></TD>
        </TR>
        </thead>
        <tbody class="marcafila">
        <?php 
		$sum_p_p = 0;
		$r = 1;
		$color2 = 2;
		while ($r < $p) {//while rp
			if($color2 % 2 == 0) { //if color
			printf("<tr BGCOLOR='#e2e7fa'><td align='left'>%s</td>", $matriz_participacion[$r][1]);//cliente
			} else { 
			printf("<tr><td align='left'>%s</td>", $matriz_participacion[$r][1]);//cliente
			} //fin if color
			printf("<td align='right'>%s</td>", number_format($matriz_participacion[$r][2], $n_decimales));//suma ventas
			if ($suma_part_total == 0) {
				$p_p = 0;
			} else {
				$p_p = ($matriz_participacion[$r][2] / $suma_part_total) * 100;
			}
			printf("<td align='right'>%s</td></tr>", number_format($p_p, 2));//% participacion
			$sum_p_p = $sum_p_p + $p_p;
			$r++;
			$color2++;
		}//fin while rp
		?>
        <tr BGCOLOR='#ffcccc'>
        <td align="left"><b>Totales</b></td>
        <td align="right"><b><?php echo number_format($suma_part_total, $n_decimales);?></b></td>
        <td align="right"><b><?php echo number_format($sum_p_p, 2);?></b></td></tr>
        </tbody>
        </table>
   <?php     } //fin if part 3 
 } else { //else otra moneda 10?>
 </tbody>
 </table>
 <?php }  //fin if otra moneda 10?>           

<?php

} //fin if 2

?>

</body>
</html>
